Subject: [AAA-WG]: Some Questions

From: 이석준 <[email-masked]>
Date: Mon, 26 Aug 2002 12:04:30 +0900

Hello,

I have some questions about (authorization) session state machine.

1. "I think it is not described when the RAR will be sent by the server to the 
client in the authorization session state machine."
(this question was asked by Liu Qiong Bo, May 2002)
I want to know if this case would affect some kinds of timers(e.g. session-timeout)

2. Can RAR be initiated by client? 

3. If a request message with authentication only received by server 
(sent by client), does not server need to maintain session state information?
then, application(e.g. nasreq, mip) should maintain some information 
about authentication if multi-round authentication is necessary, am I right? 
What can client(NAS) do to user in the case that authorizing is not performed?

4. How will client or server process in session state machine if 
authorization answer message with Result-Code = DIAMETER_MULTI_ROUND_AUTH
is generated and sent/received? (especially, how about pending state in client machine)

regards,
Sokjoon